> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parsimmon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pipeline



## OpenAPI

````yaml /openapi.json post /v1/pipelines
openapi: 3.1.0
info:
  description: Application-layer API for the Parsimmon document parsing service.
  title: Parsimmon Platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/pipelines:
    post:
      tags:
        - public
      summary: Create Pipeline
      operationId: create_pipeline_v1_pipelines_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PipelineCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PipelineCreateRequest:
      properties:
        name:
          maxLength: 255
          minLength: 1
          title: Name
          type: string
        type:
          $ref: '#/components/schemas/PipelineType'
      required:
        - name
        - type
      title: PipelineCreateRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PipelineType:
      enum:
        - parse
        - extract
        - split
        - edit
      title: PipelineType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````